<?php
include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
$session_id= session_id();	

if (isset($_GET['id']))//codigo elimina un elemento del array
{
	$id_tmp_movimiento=intval($_GET['id']);	
	$delete=mysqli_query($con, "DELETE FROM tmp_movimiento WHERE id_tmp_movimiento='".$id_tmp_movimiento."'");
}
else 
{
	$id=$_POST['id'];
	$cantidad=$_POST['cantidad'];
	
	$num_mov=$_SESSION['num_mov'];

	if (!empty($cantidad))
	{
		$consulta=mysqli_query($con,"SELECT * FROM products WHERE id_producto=$id");
		$dato=mysqli_fetch_array($consulta);
		$exis=$dato['existencia'];
		$nom_pro=$dato['nombre_producto'];
		//$codigo_pro=$dato['codigo_producto'];

		if($cantidad>$exis)
		{
			echo "<script>alert('cantidad no disponible')
			history.back(1)</script>";
		}
		else
		{
			$insert_tmp_movimiento=mysqli_query($con, "INSERT INTO tmp_movimiento (id_producto,cantidad_tmp_movimiento,session_id) VALUES ('$id','$cantidad','$session_id')");
		}
	}	
}

?>
<table class="table" style="font-size:12px;">
	<tr>
		<th class='text-center'>CANT</th>
		<th class='text-center'>DESCRIPCION</th>
		<th class='text-center'>PRESENTACION</th>
	<th></th>
	</tr>
	<?php
  	
	$sumador_total=0;
	$sql=mysqli_query($con, "select * from products, tmp_movimiento where products.id_producto=tmp_movimiento.id_producto and tmp_movimiento.session_id='".$session_id."'");
	while ($row=mysqli_fetch_array($sql))
	{
		
		
		$id_tmp_movimiento=$row["id_tmp_movimiento"];
		//$codigo_producto=$row['codigo'];
		$cantidad=$row['cantidad_tmp_movimiento'];
		$nombre_producto=$row['nombre_producto'];
		$id_producto=$row["id_producto"];
		$presen_producto=$row["status_producto"];
		
		?>
		<input type="hidden" value="<?php echo $nombre_producto;?>" id="nombre_producto<?php echo $id_producto;?>">
		<input type="hidden" value="<?php echo $presen_producto;?>" id="presen_producto<?php echo $id_producto;?>">
		<tr>
			<td class='text-center'><?php echo number_format($cantidad,2);?></td>
			<td class='text-center'><?php echo $nombre_producto;?></td>
			<td class='text-center'><?php echo $presen_producto;?>
            
			<td class='text-center'><a href="#" onclick="eliminar('<?php echo $id_tmp_movimiento ?>')"><i class="glyphicon glyphicon-trash"></i></a></td>
		</tr>		
		<?php
	}
	
		?>
	
</table>
